
Katello - Bug #5023

Destroying repository continues with orchetration even when validation errors occur

04/02/2014 12:27 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There is not correct checking on the validation errors in the ::Actions::Katello::Repository::Destroy

Associated revisions

Revision 5c8fb298 - 04/24/2014 09:23 AM - Ivan Necas

Fixes #5023 - Repository::Destroy doesn't continue when failed in ActiveRecord

History

#1 - 04/15/2014 08:55 AM - Ivan Necas

- Status changed from New to Assigned

#2 - 04/24/2014 07:46 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 04/25/2014 01:52 PM - Ivan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:5c8fb298fd7b1bde9267f1dafcc5774c8c5c7ba3.

#4 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
